# images
App\Image\Entity\Image:
    properties:
        eventFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000
        userFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000
        communityFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000
        relayPointFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000
        relayPointTypeFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000
        campaignFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000     
        badgeIconFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg, image/svg]
            - Image:
                minWidth: 180
                maxWidth: 10000
                minHeight: 180
                maxHeight: 10000
        badgeDecoratedIconFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg, image/svg]
            - Image:
                minWidth: 180
                maxWidth: 10000
                minHeight: 180
                maxHeight: 10000
        badgeImageFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg, image/gif]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000
        badgeImageLightFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000 
        structureFile:
            - File:
                maxSize: 4M
                mimeTypes: [image/png, image/jpeg]
            - Image:
                minWidth: 200
                maxWidth: 10000
                minHeight: 200
                maxHeight: 10000                                
# mass matching
App\Match\Entity\Mass:
    properties:
        file:
            - File:
                maxSize: 4M